#ifndef STREAMMEDIANFILTER_H
#define STREAMMEDIANFILTER_H

#include <vector>

namespace car
{
class StreamMedianFilter
{
public:
    StreamMedianFilter(const int windowSize);

    ~StreamMedianFilter();

    int moveWindow(int nextValue);

private:
    std::vector<int> currentWindow;

    std::vector<int> sortedIndexList;

    int currentIndex;
};
    
}
#endif
